
/*
		defs.h
		Definiciones de tipo que encapsulan informacin varia y macros.
*/



/*
	Guarda informacin de un archivo de audio para poder ser usada convenientemente
	'na' es llenado cuando se abre el archivo de audio usando 'mus_audio_open_imput'
	que devuelve un nmero nico de archivo o -1 si no se puede abrir el archivo.
	'muestras' y 'mu_can' representan mnbos un valor en muestras; el primero se
	refiere al nmero total de muestras que tiene el archivo mientras que el segundo
	a la cantidad de muestras por canal.
*/
typedef struct 
{
  int na;                /* numero de archivo asociado, o -1 si se falla la apertura del archivo */
  int canales;				   /* canales del audio */
  int frec_muestreo;     /* frecuencia de muestreo */
  off_t muestras;        /* muestras en total que tiene el audio */
  off_t mu_can;          /* se refiere a la cantidad de muestras en cada canal */
  float duracion;        /* la duracin en segundos del audio */
  int formato;           /* el formato que tiene el audio */
  int cabecera;          /* el tipo de cabecera */
  char *comentario;      /* el comentario que pueda tener el archivo de audio, de otro modo es NULL */
} DAUDIO;

